Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Big Data Appliance Perfect Balance Java API Reference Release 1 (1.0) E41667-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.hadoop.balancer.examples.invindx
Class InvertedIndex.InvertedIndexKey.SortingComparator

`java.lang.Object
oracle.hadoop.balancer.examples.invindx.InvertedIndex.InvertedIndexKey.GroupingComparator
oracle.hadoop.balancer.examples.invindx.InvertedIndex.InvertedIndexKey.SortingComparator`

All Implemented Interfaces:
  java.util.Comparator<InvertedIndex.InvertedIndexKey>, org.apache.hadoop.io.RawComparator<InvertedIndex.InvertedIndexKey>

Enclosing class:
  InvertedIndex.InvertedIndexKey

      public static class InvertedIndex.InvertedIndexKey.SortingComparator

extends InvertedIndex.InvertedIndexKey.GroupingComparator

Constructor Summary
`InvertedIndex.InvertedIndexKey.SortingComparator()`

Method Summary
`int` | `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
`int` | `compare(InvertedIndex.InvertedIndexKey a, InvertedIndex.InvertedIndexKey b)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### InvertedIndex.InvertedIndexKey.SortingComparator

    public InvertedIndex.InvertedIndexKey.SortingComparator()

Method Detail

### compare

    public int compare(byte[] b1,
                       int s1,
                       int l1,
                       byte[] b2,
                       int s2,
                       int l2)

  Specified by:
    `compare` in interface `org.apache.hadoop.io.RawComparator<InvertedIndex.InvertedIndexKey>`
  Overrides:
    `compare` in class `InvertedIndex.InvertedIndexKey.GroupingComparator`

### compare

    public int compare(InvertedIndex.InvertedIndexKey a,
                       InvertedIndex.InvertedIndexKey b)

  Specified by:
    `compare` in interface `java.util.Comparator<InvertedIndex.InvertedIndexKey>`
  Overrides:
    `compare` in class `InvertedIndex.InvertedIndexKey.GroupingComparator`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Big Data Appliance Perfect Balance Java API Reference Release 1 (1.0) E41667-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013, Oracle and/or its affiliates. All rights reserved.